Add Items
Whether the original recommendation was created using the comprehensive or simple format, items can be added individually. The requirements for items are them same as for comprehensive format and require at minimum a sku and qty attribute. The rest of the attributes are optional. See the Recommendation Item Object documention for details.
Items with the same sku that already exist in the recommendation will be ignored.
Return
This call returns the entire recommendation object to which the items were added.
API
POST
/V1/dispensary/recommendation/:recommendation_id/item
curl --location -g --request POST 'https://{{api_host}}/rest/{{scope}}/V1/dispensary/recommendation/6e6e08cf-e2a0-4e0e-9359-e2e42896b56/item' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{access_token}}' \
--data-raw '{
"recommendation": {
"items":[{
"sku":"SF811",
"qty":"1",
"autoship_interval":"once",
"note":"Take two before bedtime."
},{
"sku":"SP607",
"qty":3,
"fulfillment_type":"1L",
"autoship_interval":"30d",
"note":"This is really good stuff. Take 1 in the morning with food"
}]
}
}'